Mailrelay API Reference

Get stats summary

GET https://{account}/api/v1/stats

Authentication

Requires an API key sent in the X-AUTH-TOKEN header.

Return the stats summary for the given time range. The maximum time range is 1 month.

Parameters

NameTypeRequiredDescription
start_time string Yes Start time. Format: YYYY-MM-DD HH:MM:SS
end_time string Yes End time. Format: YYYY-MM-DD HH:MM:SS

Responses

StatusDescription
200 Success
400 The request is invalid. Check if the field names in the request and the request data is valid.
422 A validation error occurred. Check the response body for more information.
401 The API key wasn't sent or is invalid
429 Too many requests. You have exceeded the rate limit, wait and try again later.
500 An internal error happened. Try again later.

Response fields

NameTypeDescription
sent_emails integer Sent emails
delivered_emails integer Delivered emails
processed_emails integer Processed emails
bounced_emails integer Bounced emails
soft_bounced_emails integer Soft bounced emails
clicks integer Clicks
unique_clicks integer Unique clicks
impressions integer Impressions
unique_impressions integer Unique impressions
unsubscribe_events integer Unsubscribe events